//
//  LineDemoViewController.swift
//  ChartsDemo-OSX
//
//  Copyright 2015 Daniel Cohen Gindi & Philipp Jahoda
//  A port of MPAndroidChart for iOS
//  Licensed under Apache License 2.0
//
//  https://github.com/danielgindi/ios-charts

import Foundation
import Cocoa
import Charts

open class ScatterDemoViewController: NSViewController
{
  
    @IBOutlet var scatterChartView: ScatterChartView!
    
    override open func viewDidLoad()
    {
        super.viewDidLoad()
        
        
        let x :[Double] = [ 1,2,2,3,4,4,4,4,4,5]
        let y :[Double] = [ 5,6,8,3,3,7,2,9,7,4]
        var yVals: [ChartDataEntry] = [ChartDataEntry]()
        
        for i in 0 ..< x.count
        {
            yVals.append(ChartDataEntry( x: x[i], y: y[i]))
        }
        
        let data = ScatterChartData()
        let ds1 = ScatterChartDataSet(values: yVals, label: "Hello")
        ds1.colors = [NSUIColor.red]
        data.addDataSet(ds1)
        
        scatterChartView.data = data
        
        self.scatterChartView.gridBackgroundColor = NSUIColor.white
        self.scatterChartView.descriptionText = "Scatterchart Demo"
        
        let  marker : BalloonMarker = BalloonMarker( color: #colorLiteral(red: 0.8039215803, green: 0.8039215803, blue: 0.8039215803, alpha: 1), font: NSFont.systemFont(ofSize: 12.0),  textColor: NSColor.white, insets: NSEdgeInsetsMake(8.0, 8.0, 20.0, 8.0))
        marker.minimumSize = CGSize( width: 80.0, height :40.0)
        scatterChartView.marker = marker

    }
    
    override open func viewWillAppear()
    {
        self.scatterChartView.animate(xAxisDuration: 0.0, yAxisDuration: 1.0)
    }
    @IBAction func zoomPlus(_ sender: AnyObject) {
       scatterChartView.zoomIn()
    }
 
    @IBAction func zoomMoins(_ sender: AnyObject) {
        scatterChartView.zoomOut()
    }
}
